# $Revision: 1.12 $, $Date: 2011/10/26 14:40:58 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	A C++ interface for atk library
Summary(pl.UTF-8):	Interfejs C++ dla biblioteki atk
Name:		atkmm
Version:	2.22.6
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/atkmm/2.22/%{name}-%{version}.tar.xz
# Source0-md5:	30f8e34c92b14f17ba3029937b2f218a
URL:		http://www.gtkmm.org/
BuildRequires:	atk-devel >= 1:1.22.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glibmm-devel >= 2.24.0
BuildRequires:	libtool >= 2:2.0
BuildRequires:	mm-common >= 0.9.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glibmm >= 2.24.0
Provides:	gtkmm-atk
Obsoletes:	gtkmm-atk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A C++ interface for atk library.

%description -l pl.UTF-8
Interfejs C++ dla biblioteki atk.

%package devel
Summary:	Header files for atkmm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki atkmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	atk-devel >= 1:1.22.0
Requires:	glibmm-devel >= 2.24.0
Provides:	gtkmm-atk-devel
Obsoletes:	gtkmm-atk-devel

%description devel
Header files for atkmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki atkmm.

%package apidocs
Summary:	atkmm API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki atkmm
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API documentation for atkmm library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki atkmm.

%package static
Summary:	atkmm static library
Summary(pl.UTF-8):	Biblioteka statyczna atkmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	gtkmm-atk-static
Obsoletes:	gtkmm-atk-static

%description static
Static atkmm library.

%description static -l pl.UTF-8
Statyczna biblioteka atkmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdocdir=%{_gtkdocdir}/atkmm-1.6 \
	devhelpdir=%{_gtkdocdir}/atkmm-1.6

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libatkmm-1.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatkmm-1.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatkmm-1.6.so
%{_libdir}/atkmm-1.6
%{_includedir}/atkmm-1.6
%{_pkgconfigdir}/atkmm-1.6.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/atkmm-1.6

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libatkmm-1.6.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atkmm.spec,v $
Revision 1.12  2011/10/26 14:40:58  qboosh
- updated libtool version

Revision 1.11  2011/10/26 13:12:24  megabajt
- updated to 2.22.6

Revision 1.10  2011/04/01 10:23:16  lisu
- updated to 2.22.5
- mm-common >= 0.9.5 required

Revision 1.9  2011/03/28 10:20:05  lisu
- up to 2.22.4

Revision 1.8  2011/03/24 10:26:33  wiget
- up to 2.22.3

Revision 1.7  2011/03/23 12:20:59  wiget
- drop libtool file
- rel. 2

Revision 1.6  2011/01/09 10:20:28  qboosh
- updated to 2.22.2

Revision 1.5  2010/11/22 08:30:10  lisu
- 2.22.1

Revision 1.4  2010/11/16 06:07:17  qboosh
- LGPL v2.1 "or later"

Revision 1.3  2010/10/15 08:39:28  lisu
- Provides for gtkmm-atk-static

Revision 1.2  2010/10/13 18:29:15  lisu
- add -static subpackage and static_libs bcond

Revision 1.1  2010/10/13 17:56:16  megabajt
- new
